Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jxpath.ri.model.dynamic
Class DynamicPointerFactory

    java.lang.Object
      |
      +--org.apache.commons.jxpath.ri.model.dynamic.DynamicPointerFactory

All Implemented Interfaces:
  NodePointerFactory

public class DynamicPointerFactory
extends java.lang.Object
implements NodePointerFactory

Implements NodePointerFactory for Dynamic classes like Map.

Version:
  $Revision: 1.3 $ $Date: 2003/03/11 00:59:30 $
Author:
  Dmitri Plotnikov

Field Summary
`static int` | `DYNAMIC_POINTER_FACTORY_ORDER`

Constructor Summary
`DynamicPointerFactory()`

Method Summary
`NodePointer` | `createNodePointer(NodePointer parent, QName name, java.lang.Object bean)` Create a NodePointer for the supplied child object.
`NodePointer` | `createNodePointer(QName name, java.lang.Object bean, java.util.Locale locale)` Create a NodePointer for the supplied object.
`int` | `getOrder()` The factory name determines its position between other factories.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DYNAMIC_POINTER_FACTORY_ORDER

    public static final int DYNAMIC_POINTER_FACTORY_ORDER

Constructor Detail

### DynamicPointerFactory

    public DynamicPointerFactory()

Method Detail

### getOrder

    public int getOrder()

  Description copied from interface: `NodePointerFactory`
  The factory name determines its position between other factories.
  Specified by:
    `getOrder` in interface `NodePointerFactory`

### createNodePointer

    public NodePointer createNodePointer(QName name,
                                         java.lang.Object bean,
                                         java.util.Locale locale)

  Description copied from interface: `NodePointerFactory`
  Create a NodePointer for the supplied object. The node will represent the "root" object a path.
  Specified by:
    `createNodePointer` in interface `NodePointerFactory`
  Following copied from interface: `org.apache.commons.jxpath.ri.model.NodePointerFactory`
  Returns:
    null if this factory does not recognize objects of the supplied type.

### createNodePointer

    public NodePointer createNodePointer(NodePointer parent,
                                         QName name,
                                         java.lang.Object bean)

  Description copied from interface: `NodePointerFactory`
  Create a NodePointer for the supplied child object.

  Specified by:
    `createNodePointer` in interface `NodePointerFactory`
  Following copied from interface: `org.apache.commons.jxpath.ri.model.NodePointerFactory`
  Returns:
    null if this factory does not recognize objects of the supplied type.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Apache Software Foundation. All Rights Reserved.